Skip to content

Adds categorisation, classification and predicts a merchant name for transactions supplied.

Request

Adds categorisation, classification and predicts a merchant name for transactions supplied.

Security
Bearer(Required scopes: api:data)
Query
useLegacyCategorisationboolean

Flag whether to use the latest or legacy categorisation service

Default:false
confidenceFloornumber, (double)

Value from 0.0 to 1.0 which will return transactions as uncategorised if the category confidence is below this value

Default:0
Body

Request body for categorisation

referenceIdstring, non-emptyrequired

Unique identifier for the categorisation request

countryCodestring, non-emptyrequired

Country code for the account of the transactions

currencyCodestring, non-emptyrequired

Currency code for the transactions, currently supported codes are GBP and USD.

transactionsArray of objects or null(DirectID.Data.API.Models.Categorisation.Request.CategorisationTransaction)

Transaction data. Maximum limit for the number of transactions is 5000.

curl -i -X POST \
  'https://uk.api.atto.co/insights-engine/v1/enrich-transactions?useLegacyCategorisation=false&confidenceFloor=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "referenceId": "string",
    "countryCode": "string",
    "currencyCode": "string",
    "transactions": [
      {
        "transactionId": "string",
        "description": "string",
        "amount": 0.1,
        "creditDebitIndicator": "Credit",
        "status": "Pending",
        "bookingDate": "string"
      }
    ]
  }'

Responses

Categorisation result for the supplied transactions

Bodyapplication/json
Array [
referenceIdstring or null

Unique identifier for the categorisation request

countryCodestring or null

Country code for the account of the transactions

currencyCodestring or null

Currency code for the transactions, currently supported codes are GBP and USD.

transactionsArray of objects or null(DirectID.Data.API.Models.Categorisation.Response.CategorisationTransactionResponse)
]
Response
[ { "referenceId": "Ref_1", "countryCode": "GB", "currencyCode": "GBP", "transactions": [ … ] } ]